<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Styles -->
    <link href="{{ url('/css/flatty.min.css') }}" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/octicons/4.4.0/font/octicons.min.css" rel="stylesheet">
    <link href="{{ url('/css/bootstrap-responsive.min.css') }}" rel="stylesheet">
    <link href="{{ url('/css/bootstrap-social.css') }}" rel="stylesheet">
    <link href="{{ url('/css/alerts.css') }}" rel="stylesheet">
    <link href="{{ url('/css/avatars.css') }}" rel="stylesheet">
    <link href="{{ url('/css/blankstate.css') }}" rel="stylesheet">
    <link href="{{ url('/css/states.css') }}" rel="stylesheet">
    <link href="{{ url('/css/tooltips.css') }}" rel="stylesheet">
    <link href="{{ url('css/sweetalert.css') }}" rel="stylesheet">
    <link href="{{ url('css/custom.css') }}" rel="stylesheet">
    @yield('css')
    <script src="{{ url('js/jquery.min.js') }}"></script>
    <script src="{{ url('js/sweetalert.min.js') }}"></script>
    <!-- Scripts -->
    <script>
        window.Laravel = <?php echo json_encode([
            'csrfToken' => csrf_token(),
        ]); ?>
    </script>
    @include('layouts.code')
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-default navbar-static-top">
            <div class="container">
                <div class="navbar-header">

                    <!-- Collapsed Hamburger -->
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar-collapse">
                        <span class="sr-only">Toggle Navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <!-- Branding Image -->
                    <a class="navbar-brand" href="{{ url('/') }}">
                        {{ config('app.name', 'Laravel') }}
                    </a>
                </div>

                <div class="collapse navbar-collapse" id="app-navbar-collapse">
                    <!-- Left Side Of Navbar -->
                    <ul class="nav navbar-nav">
                        &nbsp;
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="nav navbar-nav navbar-right">
                        <!-- Authentication Links -->
                        @if (Auth::guest())
                            <li><a href="{{ url('/login') }}">Login</a></li>
                        @else
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <ul class="dropdown-menu" role="menu">
                                    <li><a href="{{ url('dashboard') }}">Dashboard</a></li>
                                    <li><a href="{{ url('sync') }}">Sync Organizations</a></li>
                                    @foreach (Auth::user()->orgs as $org)
                                    <li><a href="{{ url('org/'.$org->id)}}">{{ $org->name }}{{ "'" }}s settings</a>
                                    @endforeach
                                    <li>
                                        <a href="{{ url('/logout') }}"
                                            onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                            Logout
                                        </a>

                                        <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                                            {{ csrf_field() }}
                                        </form>
                                    </li>
                                </ul>
                            </li>
                        @endif
                    </ul>
                </div>
            </div>
        </nav>

        @yield('content')
    </div>
    <!-- Scripts -->
    @if (count($errors) > 0)
    <script>
    sweetAlert("Oops...", "{{ $errors->first() }}", "error");
    </script>
    @endif
    @if (session('success'))
    <script>
    swal("Good job!", "{{ session('success') }}", "success")
    </script>
    @endif
    <script src="{{ url('/js/app.js') }}"></script>
    @yield('scripts')
</body>
</html>
